package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
/**
*
* @author daniel.zauli
*/
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.TarifaKm;

public class RenderTarifaKm implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
        TarifaKm tarifaKm = (TarifaKm) o;

        Listcell lc = new Listcell(tarifaKm.getTarifakmId()==null?"-":tarifaKm.getTarifakmId().toString());
        lc.setParent(lstm);

        lc = new Listcell(tarifaKm.getOrgaoconcedenteId().getDescOrgao());
        lc.setParent(lstm);

        lc = new Listcell(tarifaKm.getKmate().toString());
        lc.setParent(lstm);

        lc = new Listcell(tarifaKm.getValortaxa().toString());
        lc.setParent(lstm);
        
        lc = new Listcell(tarifaKm.getClaseServicio().getDescclase());
        lc.setParent(lstm);

        lstm.setAttribute("data", tarifaKm);
    }	
}